# $Revision: 1.17 $, $Date: 2008/10/30 22:58:35 $
# TODO:
#	- descriptions and names for -connector-*
#	- check connector-dccm requirement
#
# Conditional build:
%bcond_without	dbus	# build without dbus support
%bcond_without	dccm	# build without dccm file support
%bcond_without	hal	# build without hal support
%bcond_without	odccm	# build without odccm support
#
%if !%{with dbus}
%undefine with_odccm
%undefine with_hal
%endif
Summary:	Core SynCE library
Summary(pl.UTF-8):	Podstawowa biblioteka SynCE
Name:		synce-libsynce
Version:	0.12
Release:	2.9
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/libsynce-%{version}.tar.gz
# Source0-md5:	fd473d3deceda7912af4427dede1736f
Patch0:		%{name}-nolibs.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.60}
%{?with_hal:BuildRequires:	hal-devel >= 0.5.8}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsynce is part of the SynCE project. It's required for (at least)
the following parts of the SynCE project: librapi2, dccmd.

%description -l pl.UTF-8
Biblioteka libsynce to część projektu SynCE. Jest wymagana dla (co
najmniej) następujących części projektu: librapi2, dccmd.

%package devel
Summary:	Header files for libsynce library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsynce
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_dbus:Requires:	dbus-devel}
%{?with_dbus:Requires:	dbus-glib-devel}

%description devel
Header files for libsynce library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsynce.

%package static
Summary:	Static libsynce library
Summary(pl.UTF-8):	Statyczna biblioteka libsynce
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libsynce library.

%description static -l pl.UTF-8
Statyczna biblioteka libsynce.

%package -n synce-connector-hal
Summary:	Virtual package which provides connection to a WinCE device
Group:		Applications/System
Provides:	synce-connector
Requires:	%{name} = %{version}-%{release}
Requires:	synce-hal

%description -n synce-connector-hal
Virtual package which provides connection to a WinCE device.

%package -n synce-connector-odccm
Summary:	Virtual package which provides connection to a WinCE device
Group:		Applications/System
Provides:	synce-connector
Requires:	%{name} = %{version}-%{release}
Requires:	synce-odccm

%description -n synce-connector-odccm
Virtual package which provides connection to a WinCE device.

%package -n synce-connector-dccm
Summary:	Virtual package which provides connection to a WinCE device
Group:		Applications/System
Provides:	synce-connector
Requires:	%{name} = %{version}-%{release}
# check what is actually required
Requires:	synce-vdccm

%description -n synce-connector-dccm
Virtual package which provides connection to a WinCE device.

%prep
%setup -q -n libsynce-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_dccm: --disable-dccm-file-support} \
	%{!?with_hal: --disable-hal-support} \
	%{!?with_odccm: --disable-odccm-support}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libsynce.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsynce.so.0
%{_mandir}/man7/synce.7*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsynce.so
%{_libdir}/libsynce.la
%{_includedir}/synce*.h
%{_pkgconfigdir}/libsynce.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsynce.a

%if %{with hal}
%files -n synce-connector-hal
%defattr(644,root,root,755)
%endif

%if %{with odccm}
%files -n synce-connector-odccm
%defattr(644,root,root,755)
%endif

%if %{with dccm}
%files -n synce-connector-dccm
%defattr(644,root,root,755)
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-libsynce.spec,v $
Revision 1.17  2008/10/30 22:58:35  sls
- add virtual -connector-* packages
- rel. 2.9

Revision 1.16  2008/10/17 23:41:03  sls
- added bconds odccm, dccm, hal
- updated BR
- packaged ChangeLog

Revision 1.15  2008/10/17 16:09:32  megabajt
- release 2

Revision 1.14  2008/09/16 09:58:22  patrys
- 0.12

Revision 1.13  2008-05-16 18:53:12  wolvverine
- up to 0.11.1

Revision 1.12  2008-01-27 00:47:54  glen
- update to 0.11, package ghost ldconfig symlink

Revision 1.11  2007-12-17 22:22:03  glen
- rel 4

Revision 1.10  2007-11-22 17:03:39  glen
- -devel R: dbus-glib-devel; rel 3

Revision 1.9  2007/08/29 20:09:04  glen
- enable dbus, otherwise librapi2 progs like pls won't work out

Revision 1.8  2007/08/28 23:53:33  glen
- update to 0.10.0

Revision 1.7  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.5  2006/12/11 21:35:02  glen
- update to 0.9.3

Revision 1.4  2006/12/11 21:30:01  glen
- new URL

Revision 1.3  2006/05/18 13:17:03  qboosh
- updated to 0.9.2, added noslang patch

Revision 1.2  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
